Loading...
Searching...
No Matches
gtsam::ValuesKeyAlreadyExists Class Reference
Inheritance diagram for gtsam::ValuesKeyAlreadyExists:

## Public Member Functions

| ValuesKeyAlreadyExists (Key key) noexcept
| Construct with the key-value pair attempted to be added.
Key | key () const noexcept
| The duplicate key that was attempted to be added.
GTSAM_EXPORT const char * | what () const noexcept override
| The message to be displayed to the user.

## Protected Attributes

const Key | key_
| The key that already existed.

The documentation for this class was generated from the following files:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/nonlinear/Values.h
- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/nonlinear/Values.cpp